WordPress升级到5.5,网站布局乱了:如何修复

八月中旬,WordPress推送了5.5更新消息。部分用户更新到了新版。于是部分中部分用户反馈,网站布局乱了。用户纷纷发来信息咨询,为什么?

原因查明:网站使用的jQuery老了。

WordPress升级到5.5,关闭了jQuery Migrate

什么是jQuery Migrate

jQuery Migrate就是wordpress为了对一些主题和插件开发者使用了老版本的jQuery的支持而加载了一个脚本文件。如下图:

jquery迁移

jQuery Migrate帮助旧代码在当前jQuery版本及更高版本上正常运行。Query Migrate旨在在过渡期间为开发人员提供帮助,直到他们将代码替换为更现代的代码(或将其完全删除)。

为什么WordPress 5.5删除了jQuery Migrate?

不再支持旧版本的jQuery,因此WordPress有必要更新编码标准。当WordPress准备过渡到更新到最新支持的jQuery版本时,删除jQuery Migrate是确保插件和主题是最新的并且不再使用不推荐使用的代码的第一步。

为什么在更新到WordPress 5.5后我的网站乱了?

很简单:您正在运行的插件或主题的代码已过时。更新到WordPress 5.5后,过时的插件或主题将不再正常运行。

由于WordPress核心不再支持插件或主题中的过时代码,因此可能会打乱您的网站。

注意:带有过时代码的插件和主题会对您的网站造成重大的安全风险,因此,最佳做法是不使用开发人员放弃的旧插件和主题。

如何修复WordPress 5.5布局乱的站点

如果您的网站在更新到WordPress 5.5布局乱了,则可以采取一些步骤来修复您的网站。

1.下载并安装jQuery Migrate Helper插件

  1. 如果您在更新到WordPress 5.5后网站损坏,请在您的网站上安装jQuery Migrate Helper插件。此插件将重新启用在WordPress 5.5中删除的jQuery Migrate工具,并为您提供有关哪些插件或主题可能行为异常的信息。
注意:jQuery Migrate Helper插件是修复网站的临时解决方案。此插件可以为您的网站重新启用jQuery Migrate工具,从而为您的插件和主题作者提供更多的时间来更新和测试他们的代码,但不应将其用作修复网站的长期解决方案。

安装并激活jQuery Migrate Helper插件后,您将看到此消息,以解释您在使用WordPress管理员时将看到警告,但这些警告不会显示在您的站点的前端。

2.在WP管理区域中查找jQuery Migrate Helper插件生成的警告

由WordPress 5.5中存在问题的插件生成的WP admin中的页面输出此类错误消息。此错误将指示您哪些插件可能引起问题。

3.使用浏览器控制台查找其他错误

jQuery Migrate Helper插件还将在您的浏览器控制台中输出错误消息,以帮助您确定哪个插件或主题破坏了您的网站。

4.将所有主题和插件更新为最新版本

如果确实看到警告消息,则应检查生成它们的主题或插件以进行版本更新。希望会有一个可以安装的更新。

  • 如果发现您没有运行主题或插件的最新版本,请将其更新为最新版本
  • 如果您运行的是高级插件或主题的过时版本,则需要添加许可证密钥或购买新许可证以更新为最新版本。
将您的插件和主题保持为最新版本是WordPress安全的最佳做法。版本发行通常包括重要的安全补丁以及更新的代码或新功能。

如果更新插件或主题可以修复损坏的站点,并且没有其他警告,请停用启用jQuery迁移帮助器。

5.如果没有可用的更新,请与主题或插件开发人员联系以更新其代码

不幸的是,为了让您继续使用具有过期代码的主题或插件之一,主题或插件开发人员将需要更新其代码。如果没有回应,则您将需要删除插件或主题,因为该代码将无法在WordPress版本中继续运行。

微信扫一扫,关注微信公众号,获取最新资讯

1条评论

  • 评论者 奶爸建网站笔记 - 回复

    这个js我一般都手动屏蔽了的,新主题基本上都没使用了吧。

留下回复

您的电邮不会被公布 必填字段标记为*